package com.bonus.canteen.core.device.manage.model;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;

@TableName("device_locker")
public class DeviceLocker {
   @TableId
   @ApiModelProperty("主键id")
   private Long lockerId;
   @ApiModelProperty("设备id")
   private Long deviceId;
   @ApiModelProperty("订单号")
   private Long ordId;
   @ApiModelProperty("第三方支付订单号")
   private String thirdPayOrdId;
   @ApiModelProperty("柜门硬件编号")
   private Integer lockerNum;
   @ApiModelProperty("取餐码")
   private Integer mealCode;
   @ApiModelProperty("状态(1空的，2不是空的)")
   private Integer lockerStatus;
   @ApiModelProperty("柜门是否关闭（1-打开,2-关闭）")
   private Integer isOpen;
   @ApiModelProperty("是否开启消毒(1-开启，2-关闭)")
   private Integer isSterilize;
   @ApiModelProperty("是否开启照明(1-开启，2-关闭)")
   private Integer isLight;
   @ApiModelProperty("是否开启加热(1-开启，2-关闭)")
   private Integer isHeat;
   @ApiModelProperty("激活状态(1启用，2禁用，3故障)")
   private Integer activate;
   @ApiModelProperty("柜门大小（1-小，2-大）")
   private Integer lockerType;
   @ApiModelProperty("开门次数")
   private Integer openTime;
   @ApiModelProperty("乐观锁")
   private Integer revision;
   @ApiModelProperty("创建人")
   private String crby;
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @ApiModelProperty("更新人")
   private String upby;
   @ApiModelProperty("更新时间")
   private LocalDateTime uptime;

   public Long getLockerId() {
      return this.lockerId;
   }

   public Long getDeviceId() {
      return this.deviceId;
   }

   public Long getOrdId() {
      return this.ordId;
   }

   public String getThirdPayOrdId() {
      return this.thirdPayOrdId;
   }

   public Integer getLockerNum() {
      return this.lockerNum;
   }

   public Integer getMealCode() {
      return this.mealCode;
   }

   public Integer getLockerStatus() {
      return this.lockerStatus;
   }

   public Integer getIsOpen() {
      return this.isOpen;
   }

   public Integer getIsSterilize() {
      return this.isSterilize;
   }

   public Integer getIsLight() {
      return this.isLight;
   }

   public Integer getIsHeat() {
      return this.isHeat;
   }

   public Integer getActivate() {
      return this.activate;
   }

   public Integer getLockerType() {
      return this.lockerType;
   }

   public Integer getOpenTime() {
      return this.openTime;
   }

   public Integer getRevision() {
      return this.revision;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public void setLockerId(final Long lockerId) {
      this.lockerId = lockerId;
   }

   public void setDeviceId(final Long deviceId) {
      this.deviceId = deviceId;
   }

   public void setOrdId(final Long ordId) {
      this.ordId = ordId;
   }

   public void setThirdPayOrdId(final String thirdPayOrdId) {
      this.thirdPayOrdId = thirdPayOrdId;
   }

   public void setLockerNum(final Integer lockerNum) {
      this.lockerNum = lockerNum;
   }

   public void setMealCode(final Integer mealCode) {
      this.mealCode = mealCode;
   }

   public void setLockerStatus(final Integer lockerStatus) {
      this.lockerStatus = lockerStatus;
   }

   public void setIsOpen(final Integer isOpen) {
      this.isOpen = isOpen;
   }

   public void setIsSterilize(final Integer isSterilize) {
      this.isSterilize = isSterilize;
   }

   public void setIsLight(final Integer isLight) {
      this.isLight = isLight;
   }

   public void setIsHeat(final Integer isHeat) {
      this.isHeat = isHeat;
   }

   public void setActivate(final Integer activate) {
      this.activate = activate;
   }

   public void setLockerType(final Integer lockerType) {
      this.lockerType = lockerType;
   }

   public void setOpenTime(final Integer openTime) {
      this.openTime = openTime;
   }

   public void setRevision(final Integer revision) {
      this.revision = revision;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   public void setUpby(final String upby) {
      this.upby = upby;
   }

   public void setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
   }

}
